d3.csv('https://gist.githubusercontent.com/anushaanumula/747110499011429a4d7c8ed3eaeb497b/raw/13cd70ab1267fc6083f0143e3d9ed2add79bff4a/scatter.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var plot1 = {
	x:unpack(rows, 'Length'),
  y:unpack(rows, 'Breadth'),
  z:unpack(rows, 'Area'),
	mode: 'markers',
	marker: {
		color: 'rgb (153,0,0)',
		size: 10,
		symbol: 'circle',
		line: {
		color: 'rgb (153,0,0)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};
  
var plot2 = {
	x:unpack(rows, 'Length'),
  y:unpack(rows, 'Breadth'),
  z:unpack(rows, 'Volume'),
	mode: 'markers',
	marker: {
		color: 'rgb(0, 100, 0)',
		size: 12,
		symbol: 'diamond',
		line: {
		color: 'rgb(0, 100, 0)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [plot1, plot2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var plot = {
  margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0},
  scene: {
    xaxis: {
      title: 'Length',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 20
      }
    },
    yaxis: {
      title: 'Breadth',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 20
      }
    },
  zaxis: {
      title: 'Area',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 20
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, plot);
});
